using APT.Infrastructure.Core;
using System.Collections.Generic;
using System.ComponentModel;

namespace APT.BaseData.Domain.Entities.LG
{
    [Description("表单操作日志表")]
    public class T_LG_OPRATE : MesEntityBase
    {
        [Description("表单编码")]
        [FormFieldTable]
        [FormFieldEdit]
        [FormFieldQuery]
        [DataFieldLength(20)]
        public string FORM_CODE { get; set; }
        [Description("表单名称")]
        [FormFieldTable]
        [FormFieldEdit]
        [FormFieldQuery]
        [DataFieldLength(50)]
        public string FORM_NAME { get; set; }

        [Description("按钮编码")]
        [FormFieldTable]
        [FormFieldEdit]
        [FormFieldQuery]
        [DataFieldLength(20)]
        public string BTN_CODE { get; set; }
        [FormFieldTable]
        [FormFieldEdit]
        [FormFieldQuery]
        [DataFieldLength(30)]
        [Description("按钮名称")]
        /// <summary>
        /// 名称首字母缩写
        public string BTN_NAME { get; set; }

        [FormFieldTable]
        [FormFieldEdit]
        [FormFieldQuery]
        [EnumName("LGOperateTypeEnum")]
        /// <summary>
        /// 名称首字母缩写
        public int OPRATE_TYPE { get; set; }


    }
}
